# H245_QOSCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_QOSCapability:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_rsvpParameters, e_atmParameters, e_localQoS, e_genericTransportParameters, e_servicePriority, e_authorizationParameter, e_qosDescriptor, e_dscpValue }

## Public Member Functions

| H245_QOSCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_NonStandardParameter | m_nonStandardData
H245_RSVPParameters | m_rsvpParameters
H245_ATMParameters | m_atmParameters
PASN_Boolean | m_localQoS
H245_GenericTransportParameters | m_genericTransportParameters
H245_ServicePriority | m_servicePriority
H245_AuthorizationParameters | m_authorizationParameter
H245_QOSDescriptor | m_qosDescriptor
PASN_Integer | m_dscpValue

## Member Enumeration Documentation

enum H245_QOSCapability::OptionalFields

Enumerator:

  e_nonStandardData |
  e_rsvpParameters |
  e_atmParameters |
  e_localQoS |
  e_genericTransportParameters |
  e_servicePriority |
  e_authorizationParameter |
  e_qosDescriptor |
  e_dscpValue |

## Constructor & Destructor Documentation

H245_QOSCapability::H245_QOSCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_QOSCapability::GetDataLength | ( |  | ) | const

PBoolean H245_QOSCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_QOSCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_QOSCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_QOSCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_QOSCapability::Clone | ( |  | ) | const

## Member Data Documentation

H245_NonStandardParameter H245_QOSCapability::m_nonStandardData

H245_RSVPParameters H245_QOSCapability::m_rsvpParameters

H245_ATMParameters H245_QOSCapability::m_atmParameters

PASN_Boolean H245_QOSCapability::m_localQoS

H245_GenericTransportParameters H245_QOSCapability::m_genericTransportParameters

H245_ServicePriority H245_QOSCapability::m_servicePriority

H245_AuthorizationParameters H245_QOSCapability::m_authorizationParameter

H245_QOSDescriptor H245_QOSCapability::m_qosDescriptor

PASN_Integer H245_QOSCapability::m_dscpValue

The documentation for this class was generated from the following file:

- h245.h